App\Library\Amazon\Classes\OutdoorLiving:
    xml_root_name: OutdoorLiving
    properties:
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        engineType:
            expose: true
            access_type: public_method
            serialized_name: EngineType
            accessor:
                getter: getEngineType
                setter: setEngineType
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        hoseLength:
            expose: true
            access_type: public_method
            serialized_name: HoseLength
            accessor:
                getter: getHoseLength
                setter: setHoseLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        numberOfSets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSets
            accessor:
                getter: getNumberOfSets
                setter: setNumberOfSets
            type: integer
        poolType:
            expose: true
            access_type: public_method
            serialized_name: PoolType
            accessor:
                getter: getPoolType
                setter: setPoolType
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\OutdoorLiving\VariationDataAType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionOptionalUnitType
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        cuttingLengthDerived:
            expose: true
            access_type: public_method
            serialized_name: CuttingLengthDerived
            accessor:
                getter: getCuttingLengthDerived
                setter: setCuttingLengthDerived
            type: App\Library\Amazon\Classes\LengthDimensionType
        cutType:
            expose: true
            access_type: public_method
            serialized_name: CutType
            accessor:
                getter: getCutType
                setter: setCutType
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\OutdoorLiving\UnitCountAType
        shape:
            expose: true
            access_type: public_method
            serialized_name: Shape
            accessor:
                getter: getShape
                setter: setShape
            type: string
        installationType:
            expose: true
            access_type: public_method
            serialized_name: InstallationType
            accessor:
                getter: getInstallationType
                setter: setInstallationType
            type: string
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
        outputCapacity:
            expose: true
            access_type: public_method
            serialized_name: OutputCapacity
            accessor:
                getter: getOutputCapacity
                setter: setOutputCapacity
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        batteryWeight:
            expose: true
            access_type: public_method
            serialized_name: BatteryWeight
            accessor:
                getter: getBatteryWeight
                setter: setBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        cuttingWidth:
            expose: true
            access_type: public_method
            serialized_name: CuttingWidth
            accessor:
                getter: getCuttingWidth
                setter: setCuttingWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
